PDA

View Full Version : M-Audio Profire 2626




rhythmac
Oct 1, 2009, 09:10 PM
I had a perfectly working m-audio profire 2626 (firewire interface) under Leopard.... I upgraded to Snow Leopard.... now it doesn't work.....rather there are no drivers available from-audio....anyone have or know of a work-around?



ChrisA
Oct 1, 2009, 11:13 PM
...anyone have or know of a work-around?

You mean other then the obvious one, going back to leopard? No.

I wonder how this could have happened? Apple has been sending out beta releases of Snow Leopard for months. M-Audio should have been testing drivers with each new Snow Leopard build on each of their products. They had months to get it to work. MAudio is always months behind with drivers I stay away from their products just for that reason, using maudio products forces you to hold back months on OS upgrades. They are even late to address the "point" leases.

rhythmac
Oct 1, 2009, 11:43 PM
They had months to get it to work. MAudio is always months behind with drivers I stay away from their products just for that reason, using maudio products forces you to hold back months on OS upgrades. They are even late to address the "point" leases.

if I had only known!!! where were you before I made the purchase?!!!

Thinking about getting the Apogee Duet... it's SL ready

Fishrrman
Oct 2, 2009, 09:08 AM
RE:
"if I had only known!!! where were you before I made the purchase?!!!
Thinking about getting the Apogee Duet... it's SL ready"

The problem with the Duet is its severely limited number of inputs and connection options.

A possible alternative choice:
Any of Echo's "Audiofire" products.

It uses Apple's "CORE Audio" drivers, which are built into the OS itself. Thus, no "external drivers" are needed. Upgrade the OS, and the drivers are already "there" to be used. Hence, no "driver conflicts".

I recently picked up the Audiofire8 for use with 10.4.11, but at the same time upgraded my white Intel iMac to Snow Leopard. The result? The Audiofire8 plugged in and worked without a hitch, and Echo's "mixer" app worked, too, again, no hitches or glitches. Many, MANY inputs and connection options, GREAT sound, easy to use, an all-around great product. I use it with CubaseLE (which was "leftover" from the Presonus Firebox I was using before), and again, works from the get-go.

If you don't need all the inputs, you might look at the Audiofire4. But for only a little more, the Audiofire8 is a good buy.

Just some thoughts,
- John

alexartisto
Jan 8, 2010, 05:21 PM
I had a perfectly working m-audio profire 2626 (firewire interface) under Leopard.... I upgraded to Snow Leopard.... now it doesn't work.....rather there are no drivers available from-audio....anyone have or know of a work-around?

I have a profire 2626 as well and nothing at all changed when I switched to snow leopard... I would try downloading everything again because mine still works flawlessly.

Drumjim85
Jan 8, 2010, 05:23 PM
I have a profire 2626 as well and nothing at all changed when I switched to snow leopard... I would try downloading everything again because mine still works flawlessly.

you know, they've released new drivers since the 4 months ago when this thread was last visited.